Support » Plugin: Cite » Simple and yet flexible

  • I have used this plugin for several years. Works well with WordPress version 4.9.8 (Can I state that elsewhere because the overview says it is not tested with the latest version of WordPress).

  • The topic ‘Simple and yet flexible’ is closed to new replies.